package utils

import (
	"crypto/md5"
	"encoding/hex"
	"strings"
	"time"
)

func GenerateRandomID(text string) string {
	seed := text + time.Now().String()
	hash := md5.Sum([]byte(seed))
	randomID := hex.EncodeToString(hash[:])
	randomID = strings.ReplaceAll(randomID, "-", "")
	return "sas" + randomID
}
